> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reddy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Product List

> Returns the list of products that the user has access to.

Returns the list of products that the user has access to along with their status.

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET 'https://app.reddy.io/api/v1/product/list' \
    -H 'Authorization: Bearer your_api_key'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "products": [
      {
        "id": 1,
        "name": "Product 1",
        "status": "active"
      },
      {
        "id": 2,
        "name": "Product 2",
        "status": "archived"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml api-reference/openapi.json GET /api/v1/product/list
openapi: 3.1.0
info:
  title: Reddy API
  version: 1.0.0
  description: ''
servers: []
security: []
paths:
  /api/v1/product/list:
    get:
      tags:
        - Product
      summary: Get Products
      description: Returns the list of products that the user has access to.
      operationId: api_standard_api_product_get_products
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - AuthBearer: []
components:
  schemas:
    SuccessResponse:
      properties:
        products:
          description: List of products
          items:
            $ref: '#/components/schemas/ProductSchema'
          title: Products
          type: array
      required:
        - products
      title: SuccessResponse
      type: object
    ErrorResponse:
      properties:
        error:
          description: Error message
          title: Error
          type: string
      required:
        - error
      title: ErrorResponse
      type: object
    ProductSchema:
      properties:
        id:
          description: Unique identifier for the product
          title: Id
          type: integer
        name:
          description: Name of the product
          title: Name
          type: string
        status:
          description: Status of the product
          enum:
            - active
            - archived
          title: Status
          type: string
      required:
        - id
        - name
        - status
      title: ProductSchema
      type: object
  securitySchemes:
    AuthBearer:
      type: http
      scheme: bearer

````